/*
 * *************************************************
 * Copyright (c) 2019 QMTH. All Rights Reserved.
 * Created by Deason on 2019-03-07 13:53:38.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.questions.starter;

import cn.com.qmth.examcloud.commons.web.support.SpringContextHolder;
import cn.com.qmth.examcloud.core.questions.service.temp.CqdxService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("${api_cqb}/")
public class IndexController {
    private static final Logger log = LoggerFactory.getLogger(IndexController.class);

    @ResponseBody
    @RequestMapping(value = "/paper/init", method = RequestMethod.GET)
    public String init() {
        /* 重庆大学xml转paper对象入库 */
        CqdxService cqdxService = SpringContextHolder.getBean(CqdxService.class);
        try {
            cqdxService.bulidPaper();
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        }
        return "ok";
    }

}