/*
 * *************************************************
 * Created by Deason on 2018-07-23 17:32:42.
 * *************************************************
 */
package cn.com.qmth.examcloud.core.questions.service.temp;
import org.apache.commons.codec.binary.Base64;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class ImgDataUtils {

    @SuppressWarnings("unused")
	public static void main(String[] args) throws UnsupportedEncodingException {
        /*String html = "ss<img src=\"http://fanyi.bdstatic.com/static/translation/img/header/logo_cbfea26.png\"/>aa"
                + "sss<img src=\"http://fanyi.bdstatic.com/static/translation/pkg/index_z_15cc24c.png\"/>ss";*/
    	String html = "in its&nbsp;<img class=\"UnderLine15\" src=\"/Shared/UnderLine?index=1\" alt=\"\" />area."
    			+"in its&nbsp;<img class=\"UnderLine15\" src=\"/Shared/UnderLine?index=1\" alt=\"\" />area. People could"
    			+"nbsp;<img class=\"UnderLine15\" src=\"/Shared/UnderLine?index=2\" alt=\"\" />&nbsp;than they cou"
    			+"that led to downtown.<br /><img class=\"UnderLine15\" src=\"/Shared/UnderLine?index=3\" alt=\"\" />&nb,"
    			+"people&nbsp;<img class=\"UnderLine15\" src=\"/Shared/UnderLine?index=4\" alt=\"\" />&nbsp;";
        List<String> srcList = parseImages(html);
        /*for (String src : srcList) {
            System.out.println(src);
            src = "http://ncexam.cug.edu.cn/UploadFiles/%E5%88%98%E6%98%8C%E8%BE%89/Images/OnlineExam20140923161629.jpg";
            //http://ncexam.cug.edu.cn%2FUploadFiles%2F %E5%88%98%E6%98%8C%E8%BE%89%2FImages%2FOnlineExam20140923161629.jpg
            String base64 = loadImageToBase64(src);
            //System.out.println(base64);
            List<String> parseImageSrc = parseImageSrc(src);
            System.out.println(parseImageSrc.get(0));
            
            
        }*/
        String ssString = "/UploadFiles/刘昌辉/Images/OnlineExam20140923161629.jpg";
        //String ssString =  java.net.URLEncoder.encode("刘昌辉/Images/OnlineExam20140923161629.jpg", "GBK");
        System.out.println(ssString);
       
        String testTxt = "8个文件";
        Pattern pat = Pattern.compile("[\u4E00-\u9FA5]");
        Matcher mat = pat.matcher(ssString);
        while(mat.find()) {
        	System.out.println(mat.group());
        }
        String ss =  java.net.URLEncoder.encode("刘昌辉", "utf-8");
        System.out.println(ss);
    }

    /**
     * 获取html中所有图片的src地址
     */
    public static List<String> parseImageSrc(String content) {
        if (content == null) {
            return new ArrayList<>();
        }
        List<String> images = new ArrayList<>();
        String reg = "(<img.*src\\s*=\\s*(.*?)[^>]*?>)";
        Pattern pattern = Pattern.compile(reg, Pattern.CASE_INSENSITIVE);
        Matcher matcher = pattern.matcher(content);
        while (matcher.find()) {
            String img = matcher.group();
            Matcher m = Pattern.compile("src\\s*=\\s*\"?(.*?)(\"|>|\\s+)").matcher(img);
            while (m.find()) {
                images.add(m.group(1));
            }
        }
        return images;
    }

    /**
     * 获取html中所有图片标签
     */
    public static List<String> parseImages(String content) {
        if (content == null) {
            return new ArrayList<>();
        }
        List<String> images = new ArrayList<>();
        String reg = "<(img|IMG)(.*?)(/>|></img>|>)";
        Pattern pattern = Pattern.compile(reg, Pattern.CASE_INSENSITIVE);
        Matcher matcher = pattern.matcher(content);
        while (matcher.find()) {
            String img = matcher.group();
            images.add(img);
        }
        return images;
    }
    
    /**
     * 获取网络图片的流数据，并base64编码
     */
    public static String loadImageToBase64(String imgUrl) {
        byte[] data = loadImage(imgUrl);
        if (data == null) {
            return null;
        }
        return convertDataToBase64(data);
    }

    /**
     * 获取网络图片的流数据，并保存到文件
     */
    public static void loadImageToFile(String imgUrl, String filePath) {
        byte[] data = loadImage(imgUrl);
        if (data == null) {
            return;
        }
        convertDataToFile(data, filePath);
    }

    /**
     * 获取网络图片的流数据(不支持https)
     */
    public static byte[] loadImage(String imgUrl) {
        HttpURLConnection conn = null;
        try {
            URL url = new URL(imgUrl);
            conn = (HttpURLConnection) url.openConnection();
            conn.setRequestMethod("GET");
            conn.setConnectTimeout(15 * 1000);//超时响应时间为15秒
            conn.setReadTimeout(15 * 1000);//超时响应时间为15秒
            InputStream inStream = conn.getInputStream();
            return readInputStream(inStream);//得到图片的二进制数据
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        } finally {
            if (conn != null) {
                conn.disconnect();
            }
        }
    }

    public static String convertDataToBase64(byte[] data) {
        try {
            return Base64.encodeBase64String(data);
        } catch (Exception e) {
            return null;
        }
    }

    public static byte[] convertBase64ToData(String data) {
        try {
            return Base64.decodeBase64(data);
        } catch (Exception e) {
            return null;
        }
    }

    public static void convertDataToFile(byte[] data, String filePath) {
        if (data == null) {
            return;
        }
        FileOutputStream outStream = null;
        try {
            File imageFile = new File(filePath);
            outStream = new FileOutputStream(imageFile);
            outStream.write(data);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                if (outStream != null) {
                    outStream.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static byte[] readInputStream(InputStream inStream) {
        if (inStream == null) {
            return null;
        }
        try {
            int len;
            byte[] bytes = new byte[1024];
            ByteArrayOutputStream outStream = new ByteArrayOutputStream();
            while ((len = inStream.read(bytes)) != -1) {
                outStream.write(bytes, 0, len);
            }
            return outStream.toByteArray();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                if (inStream != null) {
                    inStream.close();
                }
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        return null;
    }

}